pa_fuzz.c File Reference
Example programs demonstrating PortAudio usage

Distort input like a fuzz box. More...

`#include <stdio.h>`
`#include <math.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Macros

#define | SAMPLE_RATE (44100)
#define | PA_SAMPLE_TYPE paFloat32
#define | FRAMES_PER_BUFFER (64)
#define | FUZZ(x) CubicAmplifier(CubicAmplifier(CubicAmplifier(CubicAmplifier(x))))

## Typedefs

typedef float | SAMPLE

## Functions

float | CubicAmplifier (float input)
int | main (void)

## Detailed Description

Distort input like a fuzz box.

Author
  Phil Burk http://www.softsynth.com

Definition in file pa_fuzz.c.